- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Examples
- Try it!
Deletes a blue-green deployment.
HTTP request
DELETE https://sqladmin.googleapis.com/v1/{name=projects/*/locations/*/blueGreenDeployments/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the blue-green deployment to delete. Format: projects/{project}/locations/{location}/blueGreenDeployments/{blueGreenDeployment} |
Query parameters
| Parameters | |
|---|---|
deleteOldSource |
Optional. If set to true, and the switchover is complete, this deletes the old source instance along with the deployment. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloudsqlhttps://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/sqlservice.admin
For more information, see the Authentication Overview.